[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.Canvas

Canvas for the class instance.

## Declaration

Source position: extctrls.pp line 1462

`public property TCustomTrayIcon.Canvas : TCanvas read GetCanvas;`

## Description

Canvas is a read-only TCanvas property which gets the drawing surface for the tray icon control. The property value contains the TCanvas instance provided by the widgetset class. For some platforms, this is the canvas for the Icon. For others, it is the handle for the system tray class instance.

TCustomTrayIcon does not use Canvas directly in its implementation.